## org.apache.aries.subsystem.core.archive
Class SubsystemManifest.Builder

    java.lang.Object
      org.apache.aries.subsystem.core.archive.SubsystemManifest.Builder

Enclosing class:
  SubsystemManifest

    public static class SubsystemManifest.Builder

extends Object

Constructor Summary
`SubsystemManifest.Builder()`

Method Summary
`SubsystemManifest` `build()`
`SubsystemManifest.Builder` `content(Collection<org.osgi.resource.Resource> value)`
`SubsystemManifest.Builder` `content(String value)`
`SubsystemManifest.Builder` `content(SubsystemContentHeader value)`
`SubsystemManifest.Builder` `header(Header<?> value)`
`SubsystemManifest.Builder` `manifest(SubsystemManifest value)`
`SubsystemManifest.Builder` `symbolicName(String value)`
`SubsystemManifest.Builder` `symbolicName(SubsystemSymbolicNameHeader value)`
`SubsystemManifest.Builder` `type(String value)`
`SubsystemManifest.Builder` `type(SubsystemTypeHeader value)`
`SubsystemManifest.Builder` `version(String value)`
`SubsystemManifest.Builder` `version(SubsystemVersionHeader value)`
`SubsystemManifest.Builder` `version(org.osgi.framework.Version value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubsystemManifest.Builder

    public SubsystemManifest.Builder()

Method Detail

### build

    public SubsystemManifest build()

### content

    public SubsystemManifest.Builder content(String value)

### content

    public SubsystemManifest.Builder content(Collection<org.osgi.resource.Resource> value)

### content

    public SubsystemManifest.Builder content(SubsystemContentHeader value)

### header

    public SubsystemManifest.Builder header(Header<?> value)

### manifest

    public SubsystemManifest.Builder manifest(SubsystemManifest value)

### symbolicName

    public SubsystemManifest.Builder symbolicName(String value)

### symbolicName

    public SubsystemManifest.Builder symbolicName(SubsystemSymbolicNameHeader value)

### type

    public SubsystemManifest.Builder type(String value)

### type

    public SubsystemManifest.Builder type(SubsystemTypeHeader value)

### version

    public SubsystemManifest.Builder version(String value)

### version

    public SubsystemManifest.Builder version(org.osgi.framework.Version value)

### version

    public SubsystemManifest.Builder version(SubsystemVersionHeader value)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.